import request from '@/utils/request'
import qs from 'qs'

/**
 * 用户列表接口
 */

// 获取用户列表
export function getMemberList(params) {
    return request({
        url: '/member/findPageList.do',
        method: 'get',
        params
    })
}
// 编辑用户信息
export function updateMember(params) {
    return request({
        url: '/member/update.do',
        method: 'get',
        params
    })
}
// 删除用户信息
export function delMember(params) {
    return request({
        url: '/member/delete.do',
        method: 'get',
        params
    })
}

/**
 * 帐号管理接口
 */

// 获取账户列表
export function getAccountList(params) {
    return request({
        url: '/member/findAccountPage.do',
        method: 'get',
        params
    })
}
// 账户明细
export function getAccountDetail(params) {
    return request({
        url: '/member/findAccountDetailPage.do',
        method: 'get',
        params
    })
}

export default {
    getMemberList,
    updateMember,
    delMember,
    getAccountList,
    getAccountDetail
}
